import { layout } from "@wormhole-foundation/connect-sdk";
declare const foreignAddressSeedLayout: readonly [{
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("@wormhole-foundation/connect-sdk").UniversalAddress;
        from: (val: import("@wormhole-foundation/connect-sdk").UniversalAddress) => Uint8Array;
    };
    readonly name: "tokenBridgeAddress";
}, {
    readonly custom: {
        to: (val: number) => "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Neutron" | "Celestia" | "Stargaze" | "Dymension" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky";
        from: (val: "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Neutron" | "Celestia" | "Stargaze" | "Dymension" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky") => number;
    };
    readonly binary: "uint";
    readonly size: 2;
    readonly name: "chain";
}, {
    readonly name: "domainSeparator";
    readonly binary: "bytes";
    readonly custom: Uint8Array;
    readonly omit: true;
}, {
    readonly binary: "bytes";
    readonly size: 32;
    readonly custom: {
        to: (val: Uint8Array) => import("@wormhole-foundation/connect-sdk").UniversalAddress;
        from: (val: import("@wormhole-foundation/connect-sdk").UniversalAddress) => Uint8Array;
    };
    readonly name: "tokenId";
}, {
    readonly name: "domainSeparator";
    readonly binary: "bytes";
    readonly custom: Uint8Array;
    readonly omit: true;
}];
export declare const serializeForeignAddressSeeds: (data: layout.LayoutToType<typeof foreignAddressSeedLayout>) => Uint8Array;
export {};
//# sourceMappingURL=foreignAddress.d.ts.map